﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace zukei_draw
{
    public partial class Form1 : Form
    {

        Bitmap canvas;
        Graphics gr;
        Pen p;
        Brush b;
        Point pt1;
        Point pt2;


        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            canvas = new Bitmap(600, 400);
            gr = Graphics.FromImage(canvas);
            p = new Pen(Color.Red, 1);
            b = new SolidBrush(Color.Yellow);

        }

        private void pictureBox1_MouseDown(object sender, MouseEventArgs e)
        {


            pt1 = new Point(e.X, e.Y);

        }

        private void pictureBox1_MouseUp(object sender, MouseEventArgs e)
        {

            pt2 = new Point(e.X, e.Y);


            if(radioButton1.Checked)
            {
                gr.FillRectangle(b, pt1.X, pt1.Y, pt2.X - pt1.X, pt2.Y - pt1.Y);
                gr.DrawRectangle(p, pt1.X, pt1.Y, pt2.X - pt1.X, pt2.Y - pt1.Y);
            }
            else if( radioButton2.Checked)
            {
                gr.FillEllipse(b, pt1.X, pt1.Y, pt2.X - pt1.X, pt2.X - pt1.X);
                gr.DrawEllipse(p, pt1.X, pt1.Y, pt2.X - pt1.X, pt2.X - pt1.X);


            }






            pictureBox1.Image = canvas;





        }

        private void button1_Click(object sender, EventArgs e)
        {
            if( colorDialog1.ShowDialog() == DialogResult.OK)
            {
                p = null;
                p = new Pen(colorDialog1.Color, 1);

            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (colorDialog2.ShowDialog() == DialogResult.OK)
            {
                b = null;
                b = new SolidBrush(colorDialog2.Color);

            }
        }
    }
}
